# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

# Error parser handlers

@handlers =
(
    [ '^\S+: "(.*)", line (\d*): error:? (.*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ '^\S+: "(.*)", line (\d*): warning:? (.*)', sub { rterror::action_print( $1, $2, $3, 1 ); } ],
    [ '^\S+: "(.*)", line (\d*): (sorry, not implemented:.*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ]
);

return 1;
