/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTMemoryInBuffer_h__
#define __RTMemoryInBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTIBuffer_h__
#include <RTIBuffer.h>
#endif

class RTMemoryInBuffer : public RTIBuffer
{
public:
		RTMemoryInBuffer( const char *, int size );
    virtual     ~RTMemoryInBuffer( void );

    virtual int get( char & );

private:
    const char * memory;
    int          size;

private:
    // unavailable methods
    RTMemoryInBuffer( const RTMemoryInBuffer & );
    RTMemoryInBuffer & operator=( const RTMemoryInBuffer & );
}; //lint !e1712

#endif // __RTMemoryInBuffer_h__
