/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTActorProbe.h"
#pragma implementation "RTActorProbe.inl"
#endif

#include <RTActorProbe.h>

RTActorProbe::~RTActorProbe( void )
{
    while( _fieldList != (FieldEntry *)0 )
    {
	FieldEntry * next = _fieldList->next;

	delete _fieldList;

	_fieldList = next;
    }

#ifdef _lint
    _chainMsg   = (const RTMessage *)0;
    _chainTrans = (const char      *)0;
#endif
}

RTActorProbe::FieldEntry::~FieldEntry( void )
{
    delete [] varName;
    delete [] varValue;

#ifdef _lint
    next = (FieldEntry *)0;
#endif
}
