/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>

int RTAsciiEncoding::put_string( const char * value )
{
    if( putCode( "\"", 1, SpaceNone ) == 0 )
	return 0;

    if( value != (const char *)0 )
    {
	for( const char * cursor = value; ; ++cursor )
	{
	    if( *cursor == '\0' || *cursor == '\\' || *cursor == '"' )
	    {
		int size = cursor - value; //lint !e946 !e947

		if( size != 0 && putCode( value, size, SpaceNone ) == 0 )
		    return 0;

		if( *cursor == '\0' )
		    break;

		value = cursor;

		if( putCode( "\\", 1, SpaceNone ) == 0 )
		    return 0;
	    }
	}
    }

    return putCode( "\"", 1, SpaceNone );
}
