/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTByteBlock.h>
#include <RTMemoryUtil.h>

RTByteBlock & RTByteBlock::operator=( const RTByteBlock & rhs )
{
    if( this != &rhs )
    {
	delete [] Contents;

	length   = rhs.length;
	Contents = (char *)0;

	if( length != 0 && rhs.Contents != (char *)0 )
	    Contents = (char *)RTMemoryUtil::memdup( rhs.Contents, length );
    }

    return *this;
}
