/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDebugger.h>
#if USE_THREADS
#include <RTMutex.h>
#endif

void RTDebugger::attach( RTController * task )
{
#if USE_THREADS
    _mutex->enter();
#endif

    if( task->_state == RTController::detached )
	task->_state  = RTController::execSystem;

#if USE_THREADS
    _mutex->leave();
#endif
}
