/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTExternal.h>

//lint -save -e1738
External::Base::Base( const Base & )
    : RTProtocol()
    , msg( (RTMessage *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'External::Base( const Base & )'" );
}
//lint -restore

External::Base & External::Base::operator=( const Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'External::Base::operator=( const Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
