/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTFloat.h>

void RTFloat::mul10( int add )
{
    RTAssert( 0 <= add && add <= 9 );

    if( mantissa[ 0 ] >= word_scale / 10 )
	++exp10;
    else
    {
	dword carry = (dword)add; //lint !e571

	for( int i = mantissa_words; --i >= 0; )
	{
	    carry          += 10UL * (dword)mantissa[ i ];
	    mantissa[ i ]   = (word)( word_mask & (word)carry );
	    carry         >>= bits_per_word;
	}
    }
}
