/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTMain.h>

int RTMain::shutdown( RTController * context )
{
    if( context == _controller )
    {
	static bool working = false;

	if( working )
	    return 0; // not done yet

	working = true;

	RTActor * super = _superActor;

	_superActor   = (RTActor    *)0;
	_topReference = (RTActorRef *)0;

	context->destroy( super, (RTActor *)0 );
    }

    return 1;
}
