/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>

int RTMemoryUtil::atoi( const char * s )
{
    int  result   = 0;
    bool positive = true;

    while( *s == ' ' )
	++s;

    if( *s == '-' )
    {
	positive = false;
	++s;
    }

    for(;;)
    {
	int digit = (int)*s++ - (int)'0';

	if( digit < 0 || digit > 9 )
	    break;

	result *= 10;
	result -= digit;
    }

    return positive ? - result
		    :   result;
}
