/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>

char * RTMemoryUtil::strdup( const char * src, int len )
{
    if( len < 0 )
	len = strlen( src );

    char * dup = new char[ (unsigned)len + 1U ];

    if( dup != (char *)0 )
    {
	memcpy( dup, src, len );
	dup[ len ] = '\0';
    }

    return dup;
}
