/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObserver.h>
#include <RTTcpSocket.h>

int RTObserver::readData( char * buf, int buflen )
{
    if( socket->state() != RTTcpSocket::Established )
	return 0;

    if( socket->hasData() == 0 )
	return 0;

    int numRead = socket->read( buf, buflen );

    if( numRead == 0 )
	numRead = -1;

    return numRead;
}
