/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTTcpOutBuffer.h>
#include <RTTcpSocket.h>

int RTTcpOutBuffer::flush( void )
{
    if( offset > 0 )
    {
	int count = socket->write( buffer, offset );

	if( count <= 0 )
	    return count;

	if( (offset -= count) > 0 )
	    RTMemoryUtil::memcpy( buffer, &buffer[ count ], offset );
    }

    return 1;
}
