/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_read( int sock, char * buffer, int size )
{
    int count;

    while( (count = INET_recv( sock, buffer, size, 0 )) < 0 )
    {
	int err = INET_error( sock );

#ifdef INET_EINTR
	if( err == INET_EINTR )
	    continue;
#endif

#ifdef INET_EWOULDBLOCK
	if( err == INET_EWOULDBLOCK )
	    return 0;
#endif

	return -1;
    }

    return count;
}
