/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMutex.h>

#include <psos.h>

void RTMutex::enter( void )
{
#if TARGET_PSOS >= 25 // mutex support available
    if( mu_lock( mutex, MU_WAIT, 0UL/*forever*/ ) != 0UL )
	RTDiag::panic( "mu_lock" );
#else
    if( sm_p( mutex, SM_WAIT, 0UL/*forever*/ ) != 0UL )
	RTDiag::panic( "sm_p" );
#endif
}
