#! perl -w

# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



$prefix = '';
$rc     = 0;

while( $#ARGV >= 0 )
{
    last if( $ARGV[0] !~ m{^-} );

    if   ( $ARGV[0] eq '-begin' ) { $prefix = '!> '; }
    elsif( $ARGV[0] eq '-end'   ) { $prefix = '!! '; }
    elsif( $ARGV[0] eq '-fail'  ) { $rc     = 1;     }

    shift @ARGV;
}

print STDERR $prefix, join( ' ', @ARGV ), "\n";
exit $rc;
