#! perl -w

# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $#ARGV < 0 )
{
    print STDERR "Usage: ${0} file ...\n";
    exit 1;
}

# Make sure all files exist.

$byte = '';

foreach $file ( @ARGV )
{
    $mode = ( -s $file ) ? '+<' : '+>';

    if( ! open( FILE, "$mode$file" ) )
    {
	print STDERR "$file: $!\n";
	exit 1;
    }

    sysread ( FILE, $byte, 1 ) &&
    seek    ( FILE,     0, 0 ) &&
    syswrite( FILE, $byte, 1 );

    close( FILE );
}
