# Licensed Materials - Property of IBM                               
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
# U.S. Government Users Restricted Rights -  Use, duplication or     
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 

if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$wind_base        = $ENV{'WIND_BASE'};
	$wind_host_type   = 'x86-win32';
	$diab_host        = 'WIN32';
	$ENV{'PATH'}      = "$wind_base/host/diab/$diab_host/bin;$wind_base/host/$wind_host_type/bin;$ENV{'PATH'}";
    }
    else
    {
	$rosert_home      = $ENV{'ROSERT_HOME'};
	chomp( $host      = `$rosert_home/bin/machineType` );

	if( $host eq 'sun5' )
	{
	    $wind_base      = "$OS_HOME/wrs/tornado-2.2/sun5_ppc";
	    $wind_host_type = 'sun4-solaris2';
	    $diab_host      = 'SUNS';
	}

	$ENV{'PATH'}      = "$wind_base/host/diab/$diab_host/bin:$wind_base/host/$wind_host_type/bin:$ENV{'PATH'}";
	$ENV{'WIND_BASE'} = "$wind_base";
    }

    $ENV{'CPU'}     = "ppc";
    $ENV{'DIABLIB'} = "$wind_base/host/diab";
    $ENV{'DIAB'}    = "$wind_base/host/diab/$diab_host/bin";

    $ENV{'VXWORKS_HOME'}    = "$wind_base/target";
    $ENV{'VX_BSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_HSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_VW_BASE'}      = "$wind_base/target";
    $ENV{'WIND_HOST_TYPE'}  = "$wind_host_type";
}

$preprocessor = "dcc -tPPC603FH:vxworks55 -P";






$target_base = 'VxWorks64RTP';




$supported = 'Yes';
