/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTByteBlock_inl__
#define __RTByteBlock_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTByteBlock_h__
#include <RTByteBlock.h>
#endif

RTS_INLINE RTByteBlock::operator void * ( void )
{
    return (void *)Contents;
}

RTS_INLINE RTByteBlock::operator const void * ( void ) const
{
    return (const void *)Contents;
}

RTS_INLINE
RTTypedValue_RTByteBlock::
RTTypedValue_RTByteBlock( const RTByteBlock & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTByteBlock::
RTTypedValue_RTByteBlock( const RTByteBlock    & _value,
			  const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTByteBlock_inl__
