/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTPeerController_h__
#define __RTPeerController_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTController_h__
#include <RTController.h>
#endif

class RTPeerController : public RTController
{
public:
		    RTPeerController( RTDebugger *, const char * name );
    virtual         ~RTPeerController( void );

    virtual void    mainLoop( void );

protected:
    virtual void    startup( void );
    virtual void    waitForEvents( void );
    virtual void    shutdown( void );

private:
    // unavailable methods
    RTPeerController( const RTPeerController & );
    RTPeerController & operator=( const RTPeerController & );
}; //lint !e1712

#endif // __RTPeerController_h__
