/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTRootProtocol_inl__
#define __RTRootProtocol_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTRootProtocol_h__
#include <RTRootProtocol.h>
#endif

RTS_INLINE RTRootProtocol::RTRootProtocol( void )
    : RTProtocol()
{
}

RTS_INLINE RTRootProtocol::~RTRootProtocol( void )
{
}

RTS_INLINE RTInSignal RTRootProtocol::rtBound( void )
{
    return RTInSignal( this, rti_rtBound );
}

RTS_INLINE RTInSignal RTRootProtocol::rtUnbound( void )
{
    return RTInSignal( this, rti_rtUnbound );
}

#endif // __RTRootProtocol_inl__
