# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



VENDOR        = VisualC++

AR_CMD        = $(PERL) "$(RTS_HOME)/tools/ar.pl" -create=lib,/nologo   \
						  -output=/out:         \
						  -add=lib,/nologo      \
						  -input                \
						  -suffix=$(OBJ_EXT)    \
						  -limit=4000

CC            = clarm
LD            = $(PERL) "$(RTS_HOME)/libset/$(LIBRARY_SET)/ld.pl" link

# /W4  - warning level 4
# /GF  - merge common strings and place in read-only memory
# /TP  - assume all source files are C++

LIBSETCCFLAGS = /nologo /GF /TP
LIBSETCCEXTRA = /W4 /O2 /Ox /D "NDEBUG"
LIBSETLDFLAGS = /nologo /subsystem:windowsce,3.00 /MACHINE:ARM /align:"4096"

SHLIBCCFLAGS  =
SHLIBS        =

EXEC_EXT      = .EXE
OT_LIB_TAG    = -llib
LIB_PFX       =
LIB_EXT       = .LIB
OBJ_EXT       = .OBJ
SHLIB_PFX     =
SHLIB_EXT     = .DLL

DEBUG_TAG     = /Zi
DEFINE_TAG    = /D
INCLUDE_TAG   = /I
OBJECT_OPT    = /c
OBJOUT_OPT    =
OBJOUT_TAG    = /Fo

EXEOUT_OPT    =
EXEOUT_TAG    = /OUT:

ALL_OBJS_LIST = %$(ALL_OBJS_LISTFILE)
