/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>
#include <RTMemoryUtil.h>

void RTDaemon::fieldValue( const char * variable, const char * value )
{
    for( int iActor = 0; iActor < actorInfo.size(); ++iActor )
    {
	const RTDaemonInfo * info = (const RTDaemonInfo *)actorInfo[ iActor ];

	if( info == (const RTDaemonInfo *)0 )
	    continue;

	if( info->daemonKind == RTDaemonInfo::InfoVariable &&
	    RTMemoryUtil::strcmp( info->variableName, variable ) == 0 )
	{
	    debugger->addFieldValue( variable, value, info->probeNr );
	}
    }
}
