/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDebugger.h>
#if USE_THREADS
#include <RTMutex.h>
#endif

void RTDebugger::registerRTS( RTController * task )
{
#if USE_THREADS
    _mutex->enter();
#endif

    task->_state = RTController::execSystem;

    if( tasks == (RTController *)0 )
	tasks = task;

    task->_prev = tasks->_prev;
    task->_next = tasks;

    tasks->_prev->_next = task;
    tasks->_prev        = task;

#if USE_THREADS
    _mutex->leave();
#endif
}
