/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTJob.h>

RTJob::RTJob( const RTJob & )
    : _phase( RTJob::created )
#if USE_THREADS
    , _mutex( (RTMutex *)0 )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTJob( const RTJob & )'" );
}

RTJob & RTJob::operator=( const RTJob & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTJob::operator=( const RTJob & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
