/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

RTLayerData * RTLocalConnector::SppNode::publish( RTController * context,
						  RTProtocol   * _spp,
						  const char   * _name )
{
    if( spp != (RTProtocol *)0 )
    {
	// for backward compatibility: only one SPP per name
	return (RTLayerData *)0;
    }
    else
    {
	spp      = _spp;
	spp_next = 0;
	name     = _name;

	if( pending != (Request *)0 )
	    connectAll( context );

	return this;
    }
}
