/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTLog.h>

//lint -save -e1738
Log::Base::Base( const Log::Base & )
    : RTProtocol()
    , file( 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Log::Base( const Log::Base & )'" );
}
//lint -restore

Log::Base & Log::Base::operator=( const Log::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Log::Base::operator=( const Log::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
