/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>

RTMessage & RTMessage::operator=( const RTMessage & m )
{
    if( this != &m )
    {
	clear();

#if OTRTSDEBUG != DEBUG_NONE
	_sendProbeId   = m._sendProbeId;
	_sendPortId    = m._sendPortId;
	_sendPortIndex = m._sendPortIndex;
	_sendTime      = m._sendTime;
#endif

	data       = m.data;
	signal     = m.signal;
	priority   = m.priority;
	_flags     = (unsigned char)( m._flags & ~MaskDataOwned );
						 // we don't own the data yet
	_receiver  = m._receiver;
	_port      = m._port;
	_portIndex = m._portIndex;
	_type      = m._type;

	internData();
    }

    return *this;
}
