/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>
#include <RTMessageQ.h>

// add an array of n messages to this queue

void RTMessageQ::link( RTMessage * msg, int n )
{
    if( n <= 0 )
	return;

    if( head == (RTMessage *)0 )
	head = msg;

    if( tail != (RTMessage *)0 )
	tail->next = msg;

    for( int i = 0; ++i < n; ++msg )
	msg->next = &msg[1];

    msg->next = (RTMessage *)0;
    tail = msg;
}
