/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTIOMonitor.h>
#include <RTTcpSocket.h>
#include <RTinet.h>
#include <RTtcp.h>

void RTTcpSocket::close( void )
{
    if( _sd != INET_NO_SOCKET )
    {
	if( _monitor != (RTIOMonitor *)0 )
	{
	    _monitor->remove( _sd, RTIOMonitor::CanRead  |
				   RTIOMonitor::CanWrite |
				   RTIOMonitor::Exception );
	}

	RTinet_close( _sd );

	_sd    = INET_NO_SOCKET;
	_state = Closed;
    }
}
