/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTTcpSocket.h>
#include <RTinet.h>
#include <RTtcp.h>

int RTTcpSocket::getPrimary( char * address ) const
{
    if( _sd == INET_NO_SOCKET )
	return 0;

    RTinet_address primary;

    if( RTinet_primary( _sd, &primary ) == 0 )
	return 0;

    RTMemoryUtil::memcpy( address, &primary, (int)sizeof( primary ) );

    return 1;
}
