/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSoleController.h>

/*
 * Empty stub for wait function. This function is called from the mainloop of
 * soleController if there are no messages to dispatch to capsules. This
 * implementation returns immediately so the mainloop will keep "spinning"
 * forever. If you have a mechanism to put the cpu to sleep while waiting for
 * an interrupt, etc., this is the place to use it. Also if you have a
 * mechanism for an interrupt to signal that there is work to do, this is the
 * place to put that mechanism (could be as simple as polling a byte written by
 * an interrupt handler).
 */

void RTSoleController::waitForEvents( void )
{
}
