/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTtcp_h__
#define __RTtcp_h__ included

#ifndef __RTOse_h__
#include <RTOse.h>
#endif

typedef struct sockaddr  SocketAddress;
typedef int              SocketAddressSize;

#define INET_HaveLength  1

#define INET_accept      inet_accept
#define INET_bind        inet_bind
#define INET_close       inet_close
#define INET_connect     inet_connect
#define INET_error( sd ) errno
#define INET_getsockname inet_getsockname
#define INET_listen      inet_listen
#define INET_lookup      gethostbyname
#define INET_recv        inet_recv
#define INET_recvfrom    inet_recvfrom
#define INET_setsockopt  inet_setsockopt
#define INET_socket      inet_socket

#define INET_ioctl( sock, cmd, arg ) \
			 inet_ioctl( (sock), (cmd), (char *)arg )

#define INET_send( sock, data, size, flags ) \
			 inet_send( (sock), (char *)(data), (size), (flags) )

#define INET_sendto( sock, buf, size, flags, dst, dst_len ) \
			 ( inet_sendto( (sock), (char *)(buf), (size), \
						(flags), (dst), (dst_len) ) )

#define INET_EALREADY    EALREADY
#define INET_EINPROGRESS EINPROGRESS
#define INET_EISCONN     EISCONN
#define INET_EWOULDBLOCK EWOULDBLOCK

#endif // __RTtcp_h__
