/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMain.h>

extern "C" int rtsMain( void )
{
    return RTMain::entryPoint( 0, (const char * const *)0 );
}

// Temporary static constructor/main() until MRI's bug is fixed.
// So use rtsMain as the entryPoint into the TargetRTS for now and
// manually run the constructors via the ctor <moduleId> command.
// Reference: MRI Case #16542

// Seems to be fixed in VRTX 4.AAA

#define MRI_STATIC_CONSTRUCTORS_BUG ( TARGET_VRTX <= 3 )

#if MRI_STATIC_CONSTRUCTORS_BUG

// dummy main() to prevent unresolved references

int main( void )
{
    return rtsMain();
}

#endif // MRI_STATIC_CONSTRUCTORS_BUG
