/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSyncObject.h>

void RTSyncObject::timedwait( const RTTimespec & expireTime )
{
    // Wait for this synchronization object to be signalled. Only the owning
    // thread is permitted to use this function. If the object is in the
    // 'signalled' state it should be reset to 'unsignalled' and the function
    // should return immediately. Otherwise the current thread should block
    // until either the object is signalled by another thread or the absolute
    // expiry time arrives, whichever occurs first. The object should always
    // be left in the 'unsignalled' state.

    // Note that if the RTOS primitive requires a relative specification
    // of the timeout, be sure to prevent higher priority threads from
    // preempting this thread between the read of the current time and
    // the call to that primitive.
}
